Bug 489748 - system-config-printer: incorrect/confusing romanian translation
system-config-printer: incorrect/confusing romanian translation
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=debian,reported=209...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 13:12 EDT by Vincent Danen
Modified: 2009-04-17 12:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 12:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-03-11 13:12:37 EDT
A Debian bug report hit our radar today regarding a string translation error in system-config-printer with romanian translations where the "Allow printing for everyone except these users" and "Deny printing for everyone except these users" strings are identical.

I checked, and system-config-printer as shipped with RHEL5 does not contain ro.po, but the Fedora packages do and the strings are as noted in the Debian BTS.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519217

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=ro.po;att=1;bug=519217

This is definitely a bug; I'm not sure I would consider this a security issue like the reporter does.  He does have an updated ro.po file attached to the report.  I suspect he hasn't contacted upstream about this, so I'm noting it here to get fixed in the upstream source and in rawhide (I don't think this requires any kind of errata for currently-released Fedora).
Comment 1 Alexandru Szasz 2009-03-11 17:13:27 EDT
I've corrected the translation and submitted it through transifex.
Comment 2 Vincent Danen 2009-03-11 17:55:57 EDT
I don't know what transifex is, but I assume it will be included in the next system-config-printer update or pushed to the cvs repository or something?
Comment 3 Bill Nottingham 2009-03-11 18:00:25 EDT
transifex is the online translation tool used by Fedora hosted projects - see http://fedoraproject.org/wiki/L10N/Tools , or https://translate.fedoraproject.org/submit/
Comment 4 Bill Nottingham 2009-03-11 18:01:19 EDT
As to what 'submitted through transifex' means, it means it's now on the head branch of the package, and should be included in the next upstream release.
Comment 5 Tim Waugh 2009-03-12 13:17:42 EDT
Alexandru: thanks for checking in the fixed translation on the master branch.  Fedora 11 will be using the 1.1.x branch, and Fedora 9 and 10 are using 1.0.x.  I've copied your ro.po file to those branches.

You might want to check that the 1.0.x translation is correct, as its translatable strings differ in the 1.1.x/master branches.

Note You need to log in before you can comment on or make changes to this bug.